public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Thomas Deutschmann" <whissi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-php/PHPMailer/
Date: Thu, 19 Mar 2020 21:55:04 +0000 (UTC)	[thread overview]
Message-ID: <1584654883.e87b0702e52d063f2c802324500d767a08349b70.whissi@gentoo> (raw)

commit:     e87b0702e52d063f2c802324500d767a08349b70
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 19 21:35:59 2020 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Thu Mar 19 21:54:43 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e87b0702

dev-php/PHPMailer: bump to v5.2.28

Package-Manager: Portage-2.3.94, Repoman-2.3.21
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 dev-php/PHPMailer/Manifest                |  1 +
 dev-php/PHPMailer/PHPMailer-5.2.28.ebuild | 64 +++++++++++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/dev-php/PHPMailer/Manifest b/dev-php/PHPMailer/Manifest
index cfc0634baad..ce5f319bb3c 100644
--- a/dev-php/PHPMailer/Manifest
+++ b/dev-php/PHPMailer/Manifest
@@ -1,4 +1,5 @@
 DIST PHPMailer-5.2.27.tar.gz 159227 BLAKE2B e5ff2dd62cb12396bee58f0dce2fec3148dcf425cd91d69b76659ded7c38d8d5dea4830649dbeaa4732e098deecfe7ee77e338497b080997a44fbcf28d0833c7 SHA512 5a466133feec323d3739b9a1bde36731f5e65ecf61aa3f2fa6cc4ed0bd6f9280f8e2a17b6b7ac481846509ba3e8b0b97062f0dbbd644ccec3884b7a03f489a1b
+DIST PHPMailer-5.2.28.tar.gz 159284 BLAKE2B 866a38c60ac55cbd8aefec5ad82211575e672578ddff1af435e676c7058b0a090884f3e5f2c1e6f30c94b01e393f982f644e578ea22c931ffb8a93be717e379b SHA512 c2dd762b8958d1dc68fec52d7daae7337e05cadcbcf9e67c27247c808877cf3132e80cf6d4c9c577f8ad9203e433282e45f2166bccce025bcc4477724eb7036f
 DIST PHPMailer-6.0.7.tar.gz 91706 BLAKE2B 1d3d22dea463040840c1259cfbdbcf2da59cd31e915ea8a73bb9981844e9ae6e32ca1e9a40a576fedcd8c0a049f92f9b5422040e12dcc66b2c555dbd36126c67 SHA512 0d00ff177fc82c3cc54ed04cfd333739c9346f89dba1ccb8bdcccc01abd3de4c55c96dbd51cc0f4cc76d6690acd22c6bb4f632dcfb785ec1d0a32a8751ddf6e9
 DIST PHPMailer-6.1.2.tar.gz 93635 BLAKE2B f8a12415a0e24697c84de06782f78a1cc37785ad0a1764dfd53470ca1ac5a8d4dffc418794b7627d2702b16f68ea83a93b362b7659a95e0c0a84e1a9b66b7b9b SHA512 3192f77f7d0158f30c7ea4484c86c279e0563e629702901f66901003c384101c57f7482feb14fc61927afaae8adea5d8fc34bd07c7058f68f6144303ce235fd5
 DIST PHPMailer-6.1.3.tar.gz 93690 BLAKE2B 08f653520a2b7819470cbb5cf1f43480cdcab51fe452f4831df47269f4223cfeb7016e41e8de75c11b15a04fa278fe08439f3c022af9088a5c8f5e4259ae7ebb SHA512 195155e49b29740422e75d7dbcf082cf8b26c87dad7b5473b9d55267e31af3847cb65a1c79f73225fa79080428d8c7516f5cd4d083824fa42f3b22a3bec8c34e

diff --git a/dev-php/PHPMailer/PHPMailer-5.2.28.ebuild b/dev-php/PHPMailer/PHPMailer-5.2.28.ebuild
new file mode 100644
index 00000000000..160382537ad
--- /dev/null
+++ b/dev-php/PHPMailer/PHPMailer-5.2.28.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+DESCRIPTION="Full-featured email creation and transfer class for PHP"
+HOMEPAGE="https://github.com/PHPMailer/PHPMailer"
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc examples idn ssl"
+
+# The ctype and filter extensions get used unconditionally, with no
+# fallback and no "extension missing" exception. All of the other
+# extensions are technically optional, depending on how you use
+# PHPMailer and whether or not you're willing to settle for fallback
+# implementations.
+#
+# The insane dependency string is to prevent the ctype and filter
+# extensions from being provided by one version (i.e. slot) of PHP,
+# while intl and unicode are provided by another.
+RDEPEND="
+	ssl? (
+		idn?  ( dev-lang/php:*[ctype,filter,intl,ssl,unicode] )
+		!idn? ( dev-lang/php:*[ctype,filter,ssl] )
+	)
+	!ssl? (
+		idn?  ( dev-lang/php:*[ctype,filter,intl,unicode] )
+		!idn? ( dev-lang/php:*[ctype,filter] )
+	)"
+DEPEND="${RDEPEND}
+	doc? ( dev-php/phpDocumentor )"
+
+src_compile() {
+	if use doc; then
+		phpdoc --filename="class.*.php" \
+			   --target="./html" \
+			   --cache-folder="${T}" \
+			   --title="${PN}" \
+			   --sourcecode \
+			   --force \
+			   --progressbar \
+			   || die "failed to generate API documentation"
+	fi
+}
+
+src_install() {
+	# To help out the Composer kids, most of the documentation and
+	# tests are missing from the release tarballs.
+	insinto "/usr/share/php/${PN}"
+	doins -r *.php language extras
+
+	use examples && dodoc -r examples
+	use doc && dodoc -r html/*
+}
+
+pkg_postinst() {
+	elog "${PN} has been installed in /usr/share/php/${PN}/."
+	elog "To use it in a script, require('${PN}/${PN}Autoload.php'),"
+	elog "and then use the ${PN} class normally. Most of the examples in"
+	elog "the documentation should work without further modification."
+}


             reply	other threads:[~2020-03-19 21:55 UTC|newest]

Thread overview: 32+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-03-19 21:55 Thomas Deutschmann [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-05  1:15 [gentoo-commits] repo/gentoo:master commit in: dev-php/PHPMailer/ Michael Orlitzky
2024-05-05  1:15 Michael Orlitzky
2022-09-06 14:40 Michael Orlitzky
2021-08-24 13:17 Thomas Deutschmann
2021-07-01 19:26 Michael Orlitzky
2021-06-17 23:20 Thomas Deutschmann
2021-05-14 14:05 Thomas Deutschmann
2021-05-14 14:05 Thomas Deutschmann
2021-04-05 20:32 Thomas Deutschmann
2021-02-09 18:49 Thomas Deutschmann
2021-02-09 18:47 Thomas Deutschmann
2020-08-06 14:34 Thomas Deutschmann
2020-06-10 13:47 Michael Orlitzky
2020-06-10 13:47 Michael Orlitzky
2020-03-19 21:55 Thomas Deutschmann
2019-12-26 10:23 Thomas Deutschmann
2019-12-09 23:33 Thomas Deutschmann
2019-11-17 21:01 Thomas Deutschmann
2019-02-22 14:55 Thomas Deutschmann
2019-02-22 14:55 Thomas Deutschmann
2019-02-22 14:55 Thomas Deutschmann
2018-10-28  0:05 Michael Orlitzky
2017-12-22  4:27 Michael Orlitzky
2017-12-20  0:55 Michael Orlitzky
2017-12-19 21:35 Michael Orlitzky
2017-07-24 19:52 Michael Orlitzky
2017-05-14 16:22 Michael Orlitzky
2016-12-28 15:50 Michael Orlitzky
2016-12-26 13:44 Michael Orlitzky
2016-07-15 21:49 Michael Orlitzky
2015-11-07  0:06 Michael Orlitzky

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1584654883.e87b0702e52d063f2c802324500d767a08349b70.whissi@gentoo \
    --to=whissi@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox